## oxygen 5.10.5

=== debian/changelog ===
oxygen (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:44 +0100

oxygen (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:46 +0100

oxygen (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:19 +0100

oxygen (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:49 +0100

oxygen (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:30 +0100

oxygen (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:50 +0100

oxygen (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:35 +0100

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.36.0~),
               kdelibs5-dev (>= 4.9.80),
               kwin-dev (>= 4:5.10.5~),
               libkdecorations2-dev (>= 4:5.10.5~),
               libkf5auth-dev (>= 5.36.0~),
               libkf5codecs-dev (>= 5.36.0~),
               libkf5completion-dev (>= 5.36.0~),
               libkf5config-dev (>= 5.36.0~),
               libkf5configwidgets-dev (>= 5.36.0~),
               libkf5coreaddons-dev (>= 5.36.0~),
               libkf5guiaddons-dev (>= 5.36.0~),
               libkf5i18n-dev (>= 5.36.0~),
               libkf5kcmutils-dev (>= 5.36.0~),
               libkf5service-dev (>= 5.36.0~),
               libkf5style-dev (>= 5.36.0~),
               libkf5wayland-dev (>= 4:5.36.0~),
               libkf5widgetsaddons-dev (>= 5.36.0~),
               libkf5windowsystem-dev (>= 5.36.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt4 (= ${binary:Version}),
         kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: oxygen-look-and-feel
Replaces: oxygen-look-and-feel
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: oxygen-sounds
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-desktop (<< 4:5.8)
Description: Sounds for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the sounds.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Replaces: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: kde-style-oxygen-qt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kde-style-oxygen-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen (<< 4:5)
Replaces: kde-style-oxygen (<< 4:5)
Description: Qt 4 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This is the version shipped with Plasma 5. This package contains the
 Qt 4 widget theme.

Package: liboxygenstyle5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: kde-style-oxygen
Architecture: all
Section: oldlibs
Priority: extra
Depends: kde-style-oxygen-qt4, ${misc:Depends}
Breaks: kde-window-manager (<< 4:5.8)
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## oxygen 5.12.4

=== CMakeLists.txt ===
project(oxygen)
set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

set(OXYGEN_USE_KDE4 ${USE_KDE4})
if(OXYGEN_USE_KDE4)

  ############ Language and toolchain features
  ############ copied from ECM
  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  endif()

endif()

################# Qt/KDE #################
if(OXYGEN_USE_KDE4)

  find_package(KDE4 REQUIRED)
  include(KDE4Defaults)
  include(MacroLibrary)

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
  include_directories(${KDE4_INCLUDES})

  ### XCB
  find_package(PkgConfig)
  pkg_check_modules(XCB xcb x11-xcb)
  add_feature_info("x11-xcb" XCB_FOUND "Required to pass style properties to native Windows on X11 Platform")
  set_feature_info("x11-xcb" "Required to pass style properties to native Windows on X11 Platform" "http://xcb.freedesktop.org")
  set(OXYGEN_HAVE_X11 ${XCB_FOUND})
  set(OXYGEN_HAVE_KWAYLAND FALSE)

  add_subdirectory(liboxygen)
  add_subdirectory(kstyle)

else()

  find_package(ECM 0.0.9 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

  find_package(Qt5 REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
  find_package(KF5 REQUIRED COMPONENTS
      I18n
      Config
      GuiAddons
      WidgetsAddons
      Service
      Completion
      FrameworkIntegration
      WindowSystem)

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES
      DESCRIPTION "X protocol C-language Binding"
      URL "http://xcb.freedesktop.org"
      TYPE OPTIONAL
      PURPOSE "Required to pass style properties to native Windows on X11 Platform"
  )

  find_package(KF5Wayland CONFIG)
  set(OXYGEN_HAVE_KWAYLAND ${KF5Wayland_FOUND})

  if(NOT APPLE)

    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
    if (XCB_XCB_FOUND)
      find_package(Qt5 REQUIRED CONFIG COMPONENTS X11Extras)
    endif()

  endif()

  include(ECMInstallIcons)
  include(KDEInstallDirs)
  include(KDECMakeSettings)
  include(KDECompilerSettings NO_POLICY_SCOPE)

  add_subdirectory(liboxygen)
  add_subdirectory(kstyle)
  add_subdirectory(cursors)

  add_subdirectory(sounds)
  add_subdirectory(kdecoration)

  install(DIRECTORY lookandfeel/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma/look-and-feel/org.kde.oxygen
          PATTERN "Messages.sh" EXCLUDE PATTERN "CMakeLists.txt" EXCLUDE)

  # po/ dir added by packaging scripts
  if(EXISTS ${CMAKE_SOURCE_DIR}/po AND IS_DIRECTORY ${CMAKE_SOURCE_DIR}/po)
    find_package(KF5I18n CONFIG REQUIRED)
    ki18n_install(po)
  endif()

endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
oxygen (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:07 +0100

oxygen (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:44 +0000

oxygen (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:19 +0000

oxygen (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:21 +0000

oxygen (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:48 +0000

oxygen (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:32 +0000

oxygen (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:54 -0600

oxygen (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * Add Section:libs to library packages as prompted by lintian
  * New upstream release (5.11.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:55 +0000

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               kdelibs5-dev (>= 4.9.80),
               kwin-dev (>= 4:5.12.4~),
               libkdecorations2-dev (>= 4:5.12.4~),
               libkf5auth-dev (>= 5.42.0~),
               libkf5codecs-dev (>= 5.42.0~),
               libkf5completion-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5guiaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5style-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen

Package: kde-style-oxygen
Architecture: all
Section: oldlibs
Priority: optional
Depends: kde-style-oxygen-qt4, ${misc:Depends}
Breaks: kde-window-manager (<< 4:5.8)
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: kde-style-oxygen-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen (<< 4:5)
Replaces: kde-style-oxygen (<< 4:5)
Description: Qt 4 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This is the version shipped with Plasma 5. This package contains the
 Qt 4 widget theme.

Package: kde-style-oxygen-qt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Replaces: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: oxygen-sounds
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-desktop (<< 4:5.8)
Description: Sounds for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the sounds.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt4 (= ${binary:Version}),
         kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: oxygen-look-and-feel
Replaces: oxygen-look-and-feel
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

## oxygen 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(oxygen)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== kstyle/demo/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"oxygen_style_demo\")

include_directories(${CMAKE_BINARY_DIR}/liboxygen)

########### next target ###############
set(oxygen_demo_SOURCES
    oxygenbenchmarkwidget.cpp
    oxygenbuttondemowidget.cpp
    oxygendemodialog.cpp
    oxygendemowidget.cpp
    oxygenframedemowidget.cpp
    oxygeninputdemowidget.cpp
    oxygenlistdemowidget.cpp
    oxygenmdidemowidget.cpp
    oxygensimulator.cpp
    oxygensliderdemowidget.cpp
    oxygentabdemowidget.cpp
    oxygentabwidget.cpp
    main.cpp)

set(oxygen_demo_FORMS
    ui/oxygenbenchmarkwidget.ui
    ui/oxygenbuttondemowidget.ui
    ui/oxygendemodialog.ui
    ui/oxygenframedemowidget.ui
    ui/oxygeninputdemowidget.ui
    ui/oxygenlistdemowidget.ui
    ui/oxygenmdidemowidget.ui
    ui/oxygensliderdemowidget.ui
    ui/oxygentabdemowidget.ui
)

if(OXYGEN_USE_KDE4)

  kde4_add_ui_files(oxygen_demo_FORMS_HEADERS ${oxygen_demo_FORMS})

  kde4_add_executable(oxygen-demo
      ${oxygen_demo_SOURCES}
      ${oxygen_demo_FORMS_HEADERS}
 )

  target_link_libraries(oxygen-demo ${KDE4_KDEUI_LIBS})

  ########### install files ###############
  install(TARGETS oxygen-demo ${INSTALL_TARGETS_DEFAULT_ARGS})

else()

  find_package(KF5ConfigWidgets CONFIG)
  if(KF5ConfigWidgets_FOUND)
    set(oxygen_demo_SOURCES ${oxygen_demo_SOURCES} oxygenschemechooser.cpp oxygenstylechooser.cpp)
    add_definitions(-DHAVE_SCHEME_CHOOSER)
  endif()

  ki18n_wrap_ui(oxygen_demo_FORMS_HEADERS ${oxygen_demo_FORMS})

  add_executable(oxygen-demo5
      ${oxygen_demo_SOURCES}
      ${oxygen_demo_FORMS_HEADERS}
 )

  target_link_libraries(oxygen-demo5 Qt5::Core Qt5::Gui Qt5::Widgets)
  target_link_libraries(oxygen-demo5 KF5::Completion KF5::ConfigGui KF5::WidgetsAddons KF5::I18n)
  if(KF5ConfigWidgets_FOUND)
    target_link_libraries(oxygen-demo5 KF5::ConfigWidgets)
  endif()

  ########### install files ###############
  install(TARGETS oxygen-demo5 ${INSTALL_TARGETS_DEFAULT_ARGS})

endif()

=== debian/changelog ===
oxygen (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:02 +0100

oxygen (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:51 +0100

oxygen (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:18 +0100

oxygen (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.42.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.12.4~),
+               kwin-dev (>= 4:5.12.8~),
                libkdecorations2-dev (>= 4:5.12.4~),
                libkf5auth-dev (>= 5.42.0~),
                libkf5codecs-dev (>= 5.42.0~),
@@ -29,7 +29,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_clean:
	$(overridden_command) --builddirectory=build-qt4
	$(overridden_command)

override_dh_auto_configure:
	$(overridden_command) --builddirectory=build-qt4 -- -DUSE_KDE4=true
	$(overridden_command)

override_dh_auto_build:
	$(overridden_command) --builddirectory=build-qt4
	$(overridden_command)

override_dh_auto_install:
	$(overridden_command) --builddirectory=build-qt4
	$(overridden_command)
	mkdir -p debian/kde-style-oxygen-qt4/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles/
	ln -s /usr/lib/kde4/plugins/styles/oxygen.so debian/kde-style-oxygen-qt4/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles/

override_dh_strip:
	$(overridden_command) --dbgsym-migration='oxygen-dbg (<= 4:5.5.5-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/oxygen-([\d.]+)\.tar\.xz

## oxygen 5.13.5

=== debian/changelog ===
oxygen (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:22 +0100

oxygen (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu packaging Vcs fields.
    - debian/control: Bumped FW, Qt & Plasma build deps.
    - debian/control: 'Section: libs' for library packages.
    - debian/not-installed: Format for dh_missing.
    - debian/kde-style-oxygen-qt4.lintian-overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 18:14:19 +0100

oxygen (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:11 +0200

oxygen (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:55 +0100

oxygen (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:27 +0100

oxygen (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:13 +0200

oxygen (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:39 +0100

oxygen (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:03 +0200

oxygen (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:37 +0100

oxygen (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:59 +0100

oxygen (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Add libkf5wayland-dev optional build dep
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:47 +0100

oxygen (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:57 +0100

oxygen (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:09 -0300

oxygen (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:37 +0200

oxygen (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * Set Priority to optional
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

  [ Harald Sitter ]
  * add qml dependency as detected by CI

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:24 +0200

oxygen (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.12.8~),
-               libkdecorations2-dev (>= 4:5.12.4~),
+               kwin-dev (>= 4:5.13.5~),
+               libkdecorations2-dev (>= 4:5.13.5~),
                libkf5auth-dev (>= 5.42.0~),
                libkf5codecs-dev (>= 5.42.0~),
                libkf5completion-dev (>= 5.42.0~),
@@ -30,19 +30,19 @@
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 
 Package: kde-style-oxygen
-Architecture: all
 Section: oldlibs
 Priority: optional
+Architecture: all
 Depends: kde-style-oxygen-qt4, ${misc:Depends}
-Breaks: kde-window-manager (<< 4:5.8)
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
+Breaks: kde-window-manager (<< 4:5.8)
 
 Package: kde-style-oxygen-qt4
 Architecture: any
@@ -59,9 +59,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+        plasma-theme-oxygen (<< 4:5.2.2+git20150326),
 Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+          plasma-theme-oxygen (<< 4:5.2.2+git20150326),
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -102,7 +102,6 @@
 Package: oxygen-sounds
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: plasma-desktop (<< 4:5.8)
 Description: Sounds for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -114,8 +113,9 @@
          kde-style-oxygen-qt5 (= ${binary:Version}),
          kwin-decoration-oxygen (= ${binary:Version}),
          oxygen-sounds (= ${source:Version}),
+         qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: oxygen-look-and-feel
 Replaces: oxygen-look-and-feel
 Description: Look-and-feel for the Oxygen desktop theme

## oxygen 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(oxygen)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== liboxygen/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"liboxygenstyleconfig\")

################# configuration #################
configure_file(config-liboxygen.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-liboxygen.h)

################# liboxygenstyle #################
set(oxygenstyle_LIB_SRCS
    oxygenanimation.cpp
    oxygenhelper.cpp
    oxygenitemmodel.cpp
    oxygenshadowcache.cpp
    oxygentileset.cpp)

if(OXYGEN_USE_KDE4)

  kde4_add_kcfg_files(oxygenstyle_LIB_SRCS
    oxygenactiveshadowconfiguration.kcfgc
    oxygeninactiveshadowconfiguration.kcfgc
 )

  kde4_add_library(oxygenstyle SHARED ${oxygenstyle_LIB_SRCS})

  generate_export_header(oxygenstyle BASE_NAME oxygen EXPORT_FILE_NAME oxygen_export.h)

  target_link_libraries(oxygenstyle ${KDE4_KDEUI_LIBS})

  if(OXYGEN_HAVE_X11)
    target_link_libraries(oxygenstyle ${X11_XCB_LIBRARIES})
    target_link_libraries(oxygenstyle ${XCB_LIBRARIES})
  endif()

  set_target_properties(oxygenstyle PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

 if(WIN32)
      # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
      # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
      target_compile_definitions(oxygenstyle PRIVATE _USE_MATH_DEFINES _GNU_SOURCE)
  endif()
  install(TARGETS oxygenstyle ${INSTALL_TARGETS_DEFAULT_ARGS})

else()

  kconfig_add_kcfg_files(oxygenstyle_LIB_SRCS
    oxygenactiveshadowconfiguration.kcfgc
    oxygeninactiveshadowconfiguration.kcfgc
 )

  add_library(oxygenstyle5 ${oxygenstyle_LIB_SRCS})

  generate_export_header(oxygenstyle5 BASE_NAME oxygen EXPORT_FILE_NAME oxygen_export.h)

  # NB: although we install no headers, we still need to have a link
  #     interface, since other Oxygen targets link to this library
  target_link_libraries(oxygenstyle5
      PUBLIC
          Qt5::Core
          Qt5::Gui
          Qt5::Widgets
          KF5::ConfigCore
          KF5::ConfigWidgets
          KF5::WindowSystem
      PRIVATE
          KF5::GuiAddons
 )

  target_include_directories(oxygenstyle5 PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

  if(OXYGEN_HAVE_X11)
      target_link_libraries(oxygenstyle5 PRIVATE XCB::XCB Qt5::X11Extras)
  endif()

  set_target_properties(oxygenstyle5 PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
  if(WIN32)
      # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
      # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
      target_compile_definitions(oxygenstyle5 PRIVATE _USE_MATH_DEFINES _GNU_SOURCE)
  endif()
  install(TARGETS oxygenstyle5 ${INSTALL_TARGETS_DEFAULT_ARGS})

endif()

################# liboxygenstyleconfig #################
set(oxygenstyleconfig_LIB_SRCS
    oxygenanimationconfigitem.cpp
    oxygenbaseanimationconfigwidget.cpp
    oxygengenericanimationconfigitem.cpp
    oxygenshadowconfigwidget.cpp
)

set(oxygenstyleconfig_LIB_FORMS
    ui/oxygenanimationconfigitem.ui
    ui/oxygenanimationconfigwidget.ui
    ui/oxygengenericanimationconfigbox.ui
    ui/oxygenshadowconfigurationui.ui
)

if(OXYGEN_USE_KDE4)

  kde4_add_ui_files(oxygenstyleconfig_LIB_FORMS_HEADERS ${oxygenstyleconfig_LIB_FORMS})
  kde4_add_kcfg_files(oxygenstyleconfig_LIB_SRCS
      oxygenactiveshadowconfiguration.kcfgc
      oxygeninactiveshadowconfiguration.kcfgc
 )

  kde4_add_library(oxygenstyleconfig SHARED
      ${oxygenstyleconfig_LIB_SRCS}
      ${oxygenstyleconfig_LIB_FORMS_HEADERS})

  generate_export_header(oxygenstyleconfig BASE_NAME oxygen_config EXPORT_FILE_NAME oxygen_config_export.h)

  target_link_libraries(oxygenstyleconfig ${KDE4_KDEUI_LIBS})

  set_target_properties(oxygenstyleconfig PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
  install(TARGETS oxygenstyleconfig ${INSTALL_TARGETS_DEFAULT_ARGS})

  # NB: although we install no headers, we still need to have a link
  #     interface, since other Oxygen targets link to this library
  target_link_libraries(oxygenstyleconfig oxygenstyle)

else()

  ki18n_wrap_ui(oxygenstyleconfig_LIB_FORMS_HEADERS ${oxygenstyleconfig_LIB_FORMS})

  kconfig_add_kcfg_files(oxygenstyleconfig_LIB_SRCS
      oxygenactiveshadowconfiguration.kcfgc
      oxygeninactiveshadowconfiguration.kcfgc
 )

  add_library(oxygenstyleconfig5 SHARED
      ${oxygenstyleconfig_LIB_SRCS}
      ${oxygenstyleconfig_LIB_FORMS_HEADERS})

  generate_export_header(oxygenstyleconfig5 BASE_NAME oxygen_config EXPORT_FILE_NAME oxygen_config_export.h)

  # NB: although we install no headers, we still need to have a link
  #     interface, since other Oxygen targets link to this library
  target_link_libraries(oxygenstyleconfig5
       PUBLIC
          oxygenstyle5
          Qt5::Core
          Qt5::Gui
          Qt5::Widgets
      PRIVATE
          KF5::I18n
 )

  set_target_properties(oxygenstyleconfig5 PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
  install(TARGETS oxygenstyleconfig5 ${INSTALL_TARGETS_DEFAULT_ARGS})
  # Note: no headers installed

endif()

=== debian/changelog ===
oxygen (4:5.14.5-2) unstable; urgency=medium

  * New revision
  * Drop qt4 support (Closes: 875078)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Aug 2019 12:46:42 -0300

oxygen (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:02 -0300

oxygen (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:39 -0300

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.3.0~),
               kwin-dev (>= 4:5.3.2),
               libkdecorations2-dev (>= 4:5.2.0),
               libkf5auth-dev (>= 5.2.0),
               libkf5codecs-dev (>= 5.2.0),
               libkf5completion-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5guiaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kcmutils-dev,
               libkf5service-dev (>= 5.2.0),
               libkf5style-dev (>= 5.2.0),
               libkf5wayland-dev,
               libkf5widgetsaddons-dev (>= 5.2.0),
               libkf5windowsystem-dev (>= 5.2.0),
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git

Package: kde-style-oxygen-qt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
        plasma-theme-oxygen (<< 4:5.2.2+git20150326),
Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
          plasma-theme-oxygen (<< 4:5.2.2+git20150326),
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Replaces: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: oxygen-sounds
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sounds for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the sounds.
Breaks: plasma-desktop (<< 4:5.14)

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds (= ${source:Version}),
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: oxygen-look-and-feel
Replaces: oxygen-look-and-feel
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

## oxygen 5.15.4

=== debian/changelog ===
oxygen (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:19 +0100

oxygen (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:42 +0000

oxygen (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:14:34 +0000

oxygen (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:14 +0000

oxygen (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:49 +0000

oxygen (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:03 +0000

oxygen (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:40 +0000

oxygen (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:44 +0000

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,55 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 1.3.0~),
-               kwin-dev (>= 4:5.3.2),
-               libkdecorations2-dev (>= 4:5.2.0),
-               libkf5auth-dev (>= 5.2.0),
-               libkf5codecs-dev (>= 5.2.0),
-               libkf5completion-dev (>= 5.2.0),
-               libkf5config-dev (>= 5.2.0),
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5guiaddons-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev,
-               libkf5service-dev (>= 5.2.0),
-               libkf5style-dev (>= 5.2.0),
-               libkf5wayland-dev,
-               libkf5widgetsaddons-dev (>= 5.2.0),
-               libkf5windowsystem-dev (>= 5.2.0),
-               libqt5x11extras5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.54.0~),
+               kdelibs5-dev (>= 4.9.80),
+               kwin-dev (>= 4:5.15.4~),
+               libkdecorations2-dev (>= 4:5.15.4~),
+               libkf5auth-dev (>= 5.54.0~),
+               libkf5codecs-dev (>= 5.54.0~),
+               libkf5completion-dev (>= 5.54.0~),
+               libkf5config-dev (>= 5.54.0~),
+               libkf5configwidgets-dev (>= 5.54.0~),
+               libkf5coreaddons-dev (>= 5.54.0~),
+               libkf5guiaddons-dev (>= 5.54.0~),
+               libkf5i18n-dev (>= 5.54.0~),
+               libkf5kcmutils-dev (>= 5.54.0~),
+               libkf5service-dev (>= 5.54.0~),
+               libkf5style-dev (>= 5.54.0~),
+               libkf5wayland-dev (>= 4:5.54.0~),
+               libkf5widgetsaddons-dev (>= 5.54.0~),
+               libkf5windowsystem-dev (>= 5.54.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev,
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+
+Package: kde-style-oxygen
+Section: oldlibs
+Priority: optional
+Architecture: all
+Depends: kde-style-oxygen-qt4, ${misc:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+Breaks: kde-window-manager (<< 4:5.8)
+
+Package: kde-style-oxygen-qt4
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-style-oxygen (<< 4:5)
+Replaces: kde-style-oxygen (<< 4:5)
+Description: Qt 4 decoration for the Oxygen desktop theme
+ The Oxygen desktop theme is used by Plasma and other KDE Software.
+ .
+ This is the version shipped with Plasma 5. This package contains the
+ Qt 4 widget theme.
 
 Package: kde-style-oxygen-qt5
 Architecture: any
@@ -58,6 +79,7 @@
 
 Package: liboxygenstyle5-5
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: style library for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
@@ -67,6 +89,7 @@
 
 Package: liboxygenstyleconfig5-5
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
 Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
@@ -83,11 +106,11 @@
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
  This package contains the sounds.
-Breaks: plasma-desktop (<< 4:5.14)
 
 Package: plasma-theme-oxygen
 Architecture: any
-Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
+Depends: kde-style-oxygen-qt4 (= ${binary:Version}),
+         kde-style-oxygen-qt5 (= ${binary:Version}),
          kwin-decoration-oxygen (= ${binary:Version}),
          oxygen-sounds (= ${source:Version}),
          qml-module-qtquick2,

## oxygen 5.16.5

=== debian/changelog ===
oxygen (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:59 +0100

oxygen (4:5.16.4-0ubuntu2) eoan; urgency=medium

  * Sync Debian changes:
    - Drop KDE4 build and packages.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Aug 2019 16:56:26 +0100

oxygen (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:43 +0100

oxygen (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:01 +0100

oxygen (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:02 +0100

oxygen (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:24:40 +0100

oxygen (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:40 +0100

oxygen (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:48 +0100

oxygen (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.15.4~),
-               libkdecorations2-dev (>= 4:5.15.4~),
-               libkf5auth-dev (>= 5.54.0~),
-               libkf5codecs-dev (>= 5.54.0~),
-               libkf5completion-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5guiaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5style-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kwin-dev (>= 4:5.16.5~),
+               libkdecorations2-dev (>= 4:5.16.5~),
+               libkf5auth-dev (>= 5.58.0~),
+               libkf5codecs-dev (>= 5.58.0~),
+               libkf5completion-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5guiaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5style-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb1-dev,
@@ -39,21 +38,8 @@
 Section: oldlibs
 Priority: optional
 Architecture: all
-Depends: kde-style-oxygen-qt4, ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
-Breaks: kde-window-manager (<< 4:5.8)
-
-Package: kde-style-oxygen-qt4
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-style-oxygen (<< 4:5)
-Replaces: kde-style-oxygen (<< 4:5)
-Description: Qt 4 decoration for the Oxygen desktop theme
- The Oxygen desktop theme is used by Plasma and other KDE Software.
- .
- This is the version shipped with Plasma 5. This package contains the
- Qt 4 widget theme.
 
 Package: kde-style-oxygen-qt5
 Architecture: any
@@ -109,8 +95,7 @@
 
 Package: plasma-theme-oxygen
 Architecture: any
-Depends: kde-style-oxygen-qt4 (= ${binary:Version}),
-         kde-style-oxygen-qt5 (= ${binary:Version}),
+Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
          kwin-decoration-oxygen (= ${binary:Version}),
          oxygen-sounds (= ${source:Version}),
          qml-module-qtquick2,
